For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
            • GETList Payment Methods
            • GETList Company Payment Methods
            • PUTUpdate Company Payment Methods
            • GETList Active Payment Methods
            • GETGet Company Credit Status
            • PUTUpdate Company Credit Status
            • GETGet Company-Level Payment Terms
            • PUTUpdate Company-Level Payment Terms
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementPayment

List Payment Methods

GET
https://api-b2b.bigcommerce.com/api/v3/io/payments
GET
/api/v3/io/payments
$curl https://api-b2b.bigcommerce.com/api/v3/io/payments \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 117,
6 "createdAt": 1635932127,
7 "updatedAt": 1635932127,
8 "storeHash": "rtmh8fqr05",
9 "customerId": "6041",
10 "externalId": null,
11 "externalCustomerId": null,
12 "payerName": "Check",
13 "payerCustomerId": "6041",
14 "details": {
15 "memo": "Payment received via offline check"
16 },
17 "moduleName": "payments_offline",
18 "fees": [],
19 "moduleData": {
20 "transactions": [
21 {
22 "memo": "Payment processed offline",
23 "type": "OfflineTransaction",
24 "rawTransaction": null
25 }
26 ]
27 },
28 "processingStatus": 3,
29 "appliedStatus": 1,
30 "fundingStatus": 2,
31 "total": {
32 "code": "GBP",
33 "value": "0.7800"
34 },
35 "lineItems": [
36 {
37 "paymentId": 117,
38 "invoiceId": 141,
39 "invoiceNumber": "00000141",
40 "amount": {
41 "code": "GBP",
42 "value": "0.7800"
43 }
44 }
45 ],
46 "customerName": "Acme Corporation",
47 "allowedOperations": [],
48 "allowedStatuses": [
49 1,
50 2,
51 3,
52 4
53 ],
54 "channelId": "default",
55 "channelName": "Main Storefront"
56 }
57 ],
58 "meta": {
59 "message": "SUCCESS",
60 "pagination": {
61 "totalCount": 2,
62 "offset": 0,
63 "limit": 10
64 }
65 }
66}
Returns a list of all payment methods available on the store.
Was this page helpful?
Previous

Payments

Next

List Company Payment Methods

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
datalist of objects
metaobject